=== test/10/Makefile ===

MAINPATH = ../..

all:	server test.tcl

test:	all
	./dotest

include $(MAINPATH)/MakeVars
include $(MAINPATH)/test-MakeRules
