=== test/7/Makefile ===

MAINPATH = ../..

all:	server.tcl test.tcl

test:	all
	./dotest

include $(MAINPATH)/MakeVars
include $(MAINPATH)/test-MakeRules
