=== test/9/Makefile ===

MAINPATH = ../..

all:	server CosNaming.tcl test.tcl

test:	all
	./dotest

include $(MAINPATH)/MakeVars
include $(MAINPATH)/test-MakeRules
