=== debian/changelog ===
combat (0.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control:
    + Remove disappeared maintainer email address. (Closes: #899479)
    + Update Vcs-* fields.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.1.
  * d/copyright: Fix grammar errors.

  [ Debian Janitor ]
  * Use versioned copyright format URI.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Nov 2022 13:27:51 -0500

combat (0.8.1-1) unstable; urgency=low

  * Initial packaging. Closes: #636333.

 -- Thomas Girard <thomas.g.girard@free.fr>  Tue, 02 Aug 2011 12:08:07 +0200
