=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol:
	tcltk-depends
	dh_gencontrol

# Work-around permission issue in the 0.8.1 tarball
override_dh_fixperms:
	find debian/tcl-combat -name '*.tcl' -o -name '*.txt' -o -name '*.idl' | xargs chmod -x
	dh_fixperms
