=== debian/watch ===
version=3

http://www.fpx.de/Combat/download/combat-([\d\.]*)\.tar\.gz
